%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global module_name freetree

Name:           nodejs-%{module_name}
Version:        0.2.1
Release:        2%{?dist}
Summary:        A node module for creating tree data structure from text input

License:        MIT
URL:            https://github.com/liushuping/freetree
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

sed -i "s|\r||g" README.md LICENSE

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha ./test/freetreeTest.js
%endif

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Wed Jan 13 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.2.1-2
- Specify exclusively arch list as per nodejs packaging guidelines

* Mon Dec 08 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.2.1-1
- Initial packaging

